---
title: Document.pictureInPictureEnabled
slug: Web/API/Document/pictureInPictureEnabled
tags:
  - API
  - Document
  - Picture-in-Picture
  - Picture-in-Picture API
  - Property
  - Read-only
  - Reference
  - Video
  - pip
---
<div>{{APIRef("Picture-in-Picture API")}}</div>

<p><span class="seoSummary">The read-only <code><strong>pictureInPictureEnabled</strong></code> property of the {{domxref("Document")}} interface indicates whether or not picture-in-picture mode is available.</span> Picture-in-Picture mode is available by default unless specified otherwise by a <a href="/en-US/docs/Web/HTTP/Headers/Feature-Policy/picture-in-picture">Feature-Policy</a>.</p>

<p>Although this property is read-only, it will not throw if it is modified (even in strict mode); the setter is a no-operation and will be ignored.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <var>isPictureInPictureAvailable</var> = <var>document</var>.pictureInPictureEnabled;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}} value, which is <code>true</code> if a video can enter picture-in-picture and be displayed in a floating window by calling {{domxref("HTMLVideoElement.requestFullscreen()")}}. If picture-in-picture mode isn't available, this value is <code>false</code>.</p>

<h2 id="Examples">Examples</h2>

<p>In this example, before attempting to enter picture-in-picture mode for a {{htmlElement("video")}} element the value of <code>pictureInPictureEnabled</code> is checked, in order to avoid making the call if the feature is not available.</p>

<pre class="brush: js notranslate">function requestPictureInPicture() {
  if (document.pictureInPictureEnabled) {
    videoElement.requestPictureInPicture();
  } else {
    console.log('Your browser cannot use picture-in-picture right now');
  }
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Picture-in-Picture", "#dom-document-pictureinpictureenabled", "Document.pictureInPictureEnabled")}}</td>
   <td>{{Spec2("Picture-in-Picture")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.pictureInPictureEnabled")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("HTMLVideoElement.requestPictureInPicture()")}}</li>
 <li>{{DOMxRef("HTMLVideoElement.autoPictureInPicture")}}</li>
 <li>{{DOMxRef("HTMLVideoElement.disablePictureInPicture")}}</li>
 <li>{{DOMxRef("Document.exitPictureInPicture()")}}</li>
 <li>{{DOMxRef("DocumentOrShadowRoot.pictureInPictureElement")}}</li>
 <li>{{CSSxRef(":picture-in-picture")}}</li>
</ul>
